Last Comment Bug 416913 - Create localizer LDAP/SVN account for Håvard Mork
: Create localizer LDAP/SVN account for Håvard Mork
Status: VERIFIED FIXED
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: chizu
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 16:51 PST by Pascal Chevrel:pascalc
Modified: 2010-05-09 14:54 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Pascal Chevrel:pascalc 2008-02-11 16:51:59 PST
Please create SVN account for:

Name: Håvard Mork
Locale: nb-NO and nn-NO
email: havard.mork@gmail.com
SSH key: https://bugzilla.mozilla.org/show_bug.cgi?id=252983

This user will need subversion privs set for :
"projects/mozilla.com/trunk/{locale}"
"projects/mozilla-europe.org/trunk/{locale}".
"projects/google_snippets/"

Håvard should already have an LDAP account set but he is currently not able to commit via https or svn+ssh

Thanks
Comment 1 chizu 2008-02-17 22:16:51 PST
SVN access granted, the above subversion paths with your LDAP username and password should have access now.

Please note that the SVN username is your full email address, and some SVN clients may need escaping or other configuration to accept the @ in the email.
Comment 2 Håvard Mork 2008-02-24 10:40:18 PST
Not working. SVN is not suggesting password authentication, so I assume that public key authentication should be used for SVN. Am I doing something wrong?:

Linux:
(Private key as referred to by 252983 is stored as ~/.ssh/id_dsa, and works for CVS)

$ svn co --username havard.mork@gmail.com svn+ssh://svn.mozilla.org/projects/mozilla-europe.org/trunk/no
Permission denied (publickey).
svn: Connection closed unexpectedly

$ ssh -v -l havard.mork@gmail.com svn.mozilla.org
(...)
debug1: Authentications that can continue: publickey
debug1: Next authentication method: publickey
debug1: Trying private key: /home/hmork/.ssh/identity
debug1: Trying private key: /home/hmork/.ssh/id_rsa
debug1: Offering public key: /home/hmork/.ssh/id_dsa
debug1: Authentications that can continue: publickey
debug1: No more authentication methods to try.
Permission denied (publickey).

Windows:
(Private key is loaded by Pageant)
SET SVN_SSH=plink
svn co --username havard.mork@gmail.com svn+ssh://svn.mozilla.org/projects/mozilla-europe.org/trunk/no
[waits indefinitely, no output]

Comment 3 Pascal Chevrel:pascalc 2008-02-24 13:38:30 PST
Probably my fault, sorry about it. Mozilla Europe has common pages for nb-no and nn-no, that's why the locale code is just no, I forgot to mention it in the initial bug report.

Trevor, could you update Håvard's rights to be able to commit to "projects/mozilla-europe.org/trunk/no" ? Thanks
Comment 4 chizu 2008-02-24 18:53:04 PST
I missed a step with the public key too. Fixed that and SVN path updated, committing should work now.
Comment 5 Håvard Mork 2008-02-25 09:49:36 PST
SVN CO and CI works now with public key authentication.
Thank you, Trevor and Pascal!
Comment 6 Håvard Mork 2008-04-03 14:03:00 PDT
Could you have another look on this? There are still some issues.

Works OK:
* Commit to /projects/mozilla-europe.org/trunk/no

Does not work: ("access denied")
* Commit to /projects/mozilla.com/trunk/nb-NO/
* Commit to /projects/mozilla.com/trunk/nn-NO/
* Commit to /projects/google_snippets (for nb-NO.lang and nn-NO.lang)

Also note the difference; mozilla-europe has locale code "no" (universal for nn-NO and nb-NO locales). The other directories are named "nb-NO" and "nn-NO".

There is a slight chance I'm doing something wrong on my checkout, but I believe I use the same method to check out all these directories.
Comment 7 chizu 2008-04-03 14:09:14 PDT
This was a typo on my part. Sorry for the trouble, should be fixed now.
Comment 8 Håvard Mork 2008-04-03 14:22:52 PDT
No trouble at all. Thank you! :)

Note You need to log in before you can comment on or make changes to this bug.